#!/bin/sh
/bin/rm fobs_lscale.fob
/bin/rm fobs_lscale.bad
/bin/rm pmb_lscale.phs
/bin/rm Fobs.phs
#
echo 'run CNS to get Fc and Phi. FoFc_calc.inp will need to be edited' 
echo 'FoFc_calc.inp requires Fobs.cv, generate.psf,minimize.pdb files'
echo 'cns < FoFc_calc.inp |tee FoFc_calc.log'
echo 'pmb_cns2phs produces Fobs.phs and pmb_lscale.phs files for XtalView'
echo 'pmb_cns2phs produces fobs_lscale.fob for CNS -The TEST set'
echo 'is the same group with local scaling applied '
echo '\n pmb_cns3phs.exe inputs are:\n\tCNS-Fo-sF-Fc.cv \n\tScaled_ouput.CV \n\tBad.list '
echo '\tBox size +/- (h,k,l) \n\tREJECT {Fo-Fc}/{sig(Fc)+sig(0)}'
echo '\tScaled_Xfit.phs \n\tUnscaled_Xfit.phs \n'
#cns < FoFc_calc.inp |tee FoFc_calc.log
$PMB_BIN/pmb_cns2phs_v8R.exe << EOF |tee pmb_cns2phs.log
fo.sfo.fc.fob
fobs_lscale.fob
fobs_lscale.bad
3
99
pmb_lscale.phs
Fobs.phs
EOF
