#!/usr/local/bin/perl -w
#!/bin/perl
#########################################
#  Copywrite Mark A. White 	02/28/01
#########################################
#
# AUTO_CNS 
#	Create CNS input files from SCALEPACK
#	OUTPUT or LOG
#	
########################################

$CNS_TEMPLATE_DIR="/eniac/usr/people/white/CNS/";

#
# Read Cell dimensions and SG from Scalepack
#--------------------------------------------

$sp_out= system( "ls -1 sc*.out");
$sp_log= system( "ls -1 scale*log sp*log");

print "OUT: ".$sp_out." /t LOG: ".$sp_log." /n";

#THIS is for testing only
$a=$b=$c=$alpha=$beta=$gamma=90.00;$sg="P2(1)";$res_high=1.8;



#get list of CNS templates
@templates=split (" " ,system ( "ls $CNS_TEMPLATE_DIR*.tpl"));
print @templates;

while ( ($tmpl_file)=each%templates){
	$tmpl_filedir=$CNS_TEMPLATE_DIR.$tmpl_file;
	open(TEMPLATE,"<$tmpl_filedir");
	($cns_file)=($tmpl_file=~s/.tpl/.inp/);
	open(OUT, ">$cns_file");
	while(<TEMPLATE>){
	$_=~s/CELL_AA/$a/;
	$_=~s/CELL_BB/$b/;
	$_=~s/CELL_CC/$c/;
	$_=~s/CELL_ALPHA/$alpha/;
	$_=~s/CELL_BETA/$beta/;
	$_=~s/CELL_GAMMA/$gamma/;
	$_=~s/CELL_SG/$sg/;
	$_=~s/RES_HIGH/$res_high/g;
	print <OUT>, $_;
	}
	close TEMPLATE;

}


