#!/usr/bin/perl
###############
#./junk.pl 115.74 115.74 115.74 90.00 90.00 90.00 "P4(1)32" 213 2.79
#$PMB_HOME/pmb_CNS 115.74 115.74 115.74 90.00 90.00 90.00 "P4(1)32" 213 2.79
if($#ARGV<8) {printf"Insufficient arguments\n"; exit;}
#
for($i=0;$i<=$#ARGV;$i++){
$aa=$ARGV[0];$bb=$ARGV[1];$cc=$ARGV[2];
$alpha=$ARGV[3];$beta=$ARGV[4];$gamma=$ARGV[5];
$SG=$ARGV[6];
$SGN=$ARGV[7];
$RES=$ARGV[8];
}
#Get $PMB_HOME environmental variable
$pmb_dir_path= $ENV{PMB_HOME}."\/";
#
Get_PROJ();
Xtal_Info();
exit;
#####################################################
######################################
# Write a Xtal_info/ crystal file    #
######################################
sub Xtal_Info() {
#Get $HOME environmental variable
$user_home= $ENV{HOME}."\/";
($xtal_file= $user_home."/xtal_info/".$PRJ)=~s/\/\//\//g;
($xtal_crystals= $user_home."/xtal_info/crystals")=~s/\/\//\//g;
($xtal_projects= $user_home."/xtal_info/projects")=~s/\/\//\//g;
#Get $PWD environmental variable
$project_dir= $ENV{PWD};
#
use Fcntl;
sysopen(XVOUT, $xtal_file, O_WRONLY|O_EXCL|O_CREAT) or { my $errorflag=1 };
if ($errorflag==1) {
	printf "ARGGH! cannot open: ".$xtal_file." ... Is XtalView installed?\n";
	return;}
else {
	printf XVOUT "name ".$PRJ."\n";
	printf XVOUT "cell %6.2f %6.2f %6.2f  %6.2f %6.2f %6.2f \n",$aa,$bb,$cc,$alpha,$beta,$gamma;
	printf XVOUT "spgp %s %d 1 1 unknown\n",$SG,$SGN;
	printf XVOUT "symm x,y,z.\n";
	printf XVOUT "The Spacegroup number is %d\n",$SGN;
	printf XVOUT "\n";
	open(XVCR, ">> $xtal_crystals") or printf "Failed to open: $xtal_crystals" ;
	  printf XVCR "%s\n",$PRJ;
	close XVCR;
	open(XVPR, ">> $xtal_projects") or printf "Failed to open: $xtal_projects" ;
	  printf XVPR "%s (%s)\n",$PRJ,$SG;
	  printf XVPR "%s %s\n#\n",$project_dir,$PRJ;
	close XVPR;
	printf "Opened XtalView project: ".$xtal_file."\n";
	} 
close XVOUT;
#
}
####################################################
####################################################
####################################################
# Use CWD as PROJect Name #
###########################
sub Get_PROJ {
@proj=split("/", $ENV{PWD});foreach $dir (@proj){$PRJ=sprintf"%s",$dir}
$PRJ=~ s/[ ,\@,\\,\/,\~,\n]//g;
# DEBUG# printf "REFINEMENT ID: %s   \tPROJECT: %s \n",$ID,$PRJ;
}
######################################
exit;


