#!/usr/bin/perl
printf "Stereochemistry Refinement cycles with lowered PR \n";
srand(123456);

#Loop bondtarget 22->3
for($PRR=90;$PRR>=5;$PRR-=5){
printf "PRR=%d : \n",$PRR;
open IN ,  "< Fobs.100.cv"; printf "Opened Fobs.100.cv\n";
open OUT , "> Fobs.o.cv"; printf "Opened Fobs.o.cv\n";
$nwrefl=0;$ndrefl=0;
while (<IN>){
	if(($_ =~ "INDE") && ($_ =~ "TEST=         0")){
		$nwrefl++;
		if(rand(100)>$PRR){
			$_="";$ndrefl++;}}
	print OUT $_ ;
}
close IN; close OUT;
system "/bin/cp Fobs.o.cv Fobs.cv";
printf "Removed %d of %d reflections (%5.1f\%)\n",$ndrefl,$nwrefl,100*$ndrefl/$nwrefl;
######exit;
#
# Refinements STD(00) + BT=3->25 #
#
#system "./pmb_refine -g -c5 -s-1 |tee  PR_00.log";
$New_Rf=get_PR(99,"minimize.pdb","Fobs.cv");
$Old_Rf=99;$Better=0;
	#Loop bondtarget 22->3
	for($bt=3;$bt<=25;$bt++){
	printf "./pmb_refine -g -c5 -s$bt |tee  PR_$bt.log";
	system "./pmb_refine -g -c5 -s$bt |tee  PR_$bt.log";
        $New_Rf=get_PR($bt,"minimize.pdb","Fobs.cv");
	if($New_Rf>$Old_Rf){$Better++;if($Better>3){$bt=99;}}
	$Old_Rf=$New_Rf;
	}
}
exit;
##################################
sub get_PR {
my ($btrgt,$PDBIN,$FOBSIN) = @_;
$na=0;$nf=0;
open FIN ,"< $FOBSIN";while (<FIN>){if($_ =~ "INDE") {$nf++;} };close FIN;
open AIN ,"< $PDBIN";while (<AIN>){if($_ =~ "ATOM ") {$na++;}
	elsif($_ =~ " final ") {@line=split(" ",$_);$Rfact=$line[3]*100.0;$Rfree_c=$line[5]*100.0;}
	elsif($_ =~ " rmsd ") {@line=split(" ",$_);$Brmsd=$line[3]; $Armsd=$line[6];}
        elsif($_ =~ " wa= ") {@line=split(" ",$_);$wa_old=$line[2];}
	};close AIN;

printf "#PR=%5.1f BT=%4d  R-factor=%6.2f   Rfree=%6.2f Wa=%6.2f rmsd= %6.4f \n",($nf/($na+1)),$btrgt,$Rfact,$Rfree_c,$wa_old,$Brmsd;
return $Rfree_c;
}

