#!/bin/sh
# This file reads the input line $1 and creates the outputs needed
#for generate.inp
#start.pdb still needs to be edited in vi
#
#
cat $1 |grep -v HOH |grep -v TRS |grep -v "+" > start.pdb
#
grep "TRS"   $1  > start.ligand.pdb
grep "AMP" $1 >> start.ligand.pdb
#
grep  " [A-Z][A-Z]+" $1  | awk '{printf "%s\nTER \n",$0 }'> start.ion.pdb
#grep  " [A-Z][A-Z]+" $1  | awk '{printf "%s\nTER \n",$0 }'> start.ion.pdb
##grep "CD+" $1  > start.ion.pdb
#grep "NA+" $1 >> start.ion.pdb
#grep "ZN+" $1 >> start.ion.pdb
#grep "FE+" $1 >> start.ion.pdb
#grep "GA+" $1 >> start.ion.pdb
#
# Waters   sort:column 7 = X , 11 = B-factor
#
grep WAT $1   >  start.water.pdb
grep HOH $1  >>  start.water.pdb
#grep HOH $1 | sort -nk 11 >>  start.water.pdb
#grep HOH $1 | sort -nk 7  >>  start.water.pdb
#
cat END.PDB >>  start.ligand.pdb
cat END.PDB >>  start.ion.pdb
cat END.PDB >>  start.water.pdb
printf "\n Created start.PDB files from %s" $1
##### FIX START.LIGAND.PDB ########
vi start.ligand.pdb << eof_vi
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
/O3
A
TER
:wq
eof_vi
##### FIX START.PDB ########
#vi start.pdb << eof_vi
#/END
#dd
#:wq
#eof_vi
#cat END.PDB >>  start.pdb
##### FIX START.ION.PDB ########
############################
printf " \n vi start.pdb before running cns < generate.inp \n\n"
printf " and remove all TRS CD+ and WAT residues! \n\n"
printf " Add   TER      between monomers. \n\n"
printf " Replace OT1 w/ O and OT2 w/ O,OXT for cns! \n\n"
